#!/bin/ksh
############################################################ {COPYRIGHT-TOP} ###
# IBM Confidential
# OCO Source Materials
# Tivoli Common Reporting Infrastructure
# 5724-T69
#
# Copyright IBM Corp. 2010
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
############################################################ {COPYRIGHT-END} ##
TCRROOT=$1
echo "TCRROOT="$TCRROOT
cd $TCRROOT/cognos/webapps/p2pd/WEB-INF/fragments/applications/cogadmin/fragments

if [ ! -d "$TCRROOT/conf/tcr21_if11/banner" ]; then
    mkdir -p "$TCRROOT/conf/tcr21_if11/banner"
fi

cp -fr banner.xml $TCRROOT/conf/tcr21_if11/banner/

cd $TCRROOT/cognos/webapps/p2pd/WEB-INF/classes

if [ ! -d "$TCRROOT/conf/tcr21_if11/viewer" ]; then
    mkdir -p "$TCRROOT/conf/tcr21_if11/viewer"
fi

cp -fr viewer*.properties $TCRROOT/conf/tcr21_if11/viewer/

cd $TCRROOT/cognos/webapps/p2pd/WEB-INF/lib

if [ ! -d "$TCRROOT/conf/tcr21_if11/portaljar" ]; then
    mkdir -p "$TCRROOT/conf/tcr21_if11/portaljar"
fi

cd $TCRROOT/cognos/webapps/p2pd/WEB-INF/lib
cp -fr portal.jar $TCRROOT/conf/tcr21_if11/portaljar/

if [ ! -d "$TC$TCRROOT/conf/tcr21_if11/portal" ]; then
    mkdir -p "$TCRROOT/conf/tcr21_if11/portal"
fi

cd $TCRROOT/cognos/templates/ps/messages
cp -fr portal*.xml $TCRROOT/conf/tcr21_if11/portal/

cd $TCRROOT/conf/tcr21_if11
cp -fr "viewerconfig.properties" $TCRROOT/conf/tcr21_if11/viewer/

echo "backup of properties done"