#!/bin/ksh
############################################################ {COPYRIGHT-TOP} ###
# IBM Confidential
# OCO Source Materials
# Tivoli Common Reporting Infrastructure
# 5724-T69
#
# Copyright IBM Corp. 2010
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
############################################################ {COPYRIGHT-END} ##
TCRROOT=$1
TIPHOME=$2
ProfileName=$3
if [ -x /usr/ibm/common/acsi/bin/listIU.sh ]; then
ANTLOCATION=/usr/ibm/common/acsi/lib
elif [ -x ~/.acsi_$LOGNAME/bin/listIU.sh ]; then
ANTLOCATION=~/.acsi_$LOGNAME/lib
else
   echo "Unable to find the ANT Location"
   exit 1
fi

JAVA_HOME=$TIPHOME/java
export JAVA_HOME
ANT_FILE=$TCRROOT/cognos/temp/build.xml

echo $JAVA_HOME/bin/java -classpath "$ANTLOCATION/ant.jar:$ANTLOCATION/ant-launcher.jar:$ANTLOCATION/xml-apis.jar:$ANTLOCATION/xercesImpl.jar" org.apache.tools.ant.Main -Dtcr.cognos.location=$TCRROOT/cognos -Dtcr.cognos.deployed.app.location="$TIPHOME/profiles/$ProfileName/installedApps/TIPCell/IBM Cognos 8.ear" -f $ANT_FILE completeEarDir
$JAVA_HOME/bin/java -classpath "$ANTLOCATION/ant.jar:$ANTLOCATION/ant-launcher.jar:$ANTLOCATION/xml-apis.jar:$ANTLOCATION/xercesImpl.jar" org.apache.tools.ant.Main -Dtcr.cognos.location=$TCRROOT/cognos -Dtcr.cognos.deployed.app.location="$TIPHOME/profiles/$ProfileName/installedApps/TIPCell/IBM Cognos 8.ear" -f $ANT_FILE completeEarDir