#!/bin/ksh
############################################################ {COPYRIGHT-TOP} ###
# IBM Confidential
# OCO Source Materials
# Tivoli Common Reporting Infrastructure
# 5724-T69
#
# Copyright IBM Corp. 2010
#
# The source code for this program is not published or otherwise
# divested of its trade secrets, irrespective of what has been
# deposited with the U.S. Copyright Office.
############################################################ {COPYRIGHT-END} ##

COGNOS_FIX_DIR=$1
echo "COGNOS_FIX_DIR="$COGNOS_FIX_DIR
APPDIRVAL=$2
echo "APPDIRVAL="$APPDIRVAL
echo "Cognos Response File"
RESPONSE_FILE_NAME=$3
echo Changing directory to cognos fix folder...
cd $COGNOS_FIX_DIR
echo `pwd`
echo `ls`

# replace APPDIR with correct value
echo "Replacing APPDIR value in response.ats to: "$APPDIRVAL
for y in ./$RESPONSE_FILE_NAME.ats;
do
   sed 's:APPDIR=:APPDIR='$APPDIRVAL':' $y > temp; 
   mv temp $y;
done

echo Now calling the script to install Cognos hotfix...
./issetup -s ./$RESPONSE_FILE_NAME.ats
